{% extends "lab_10/layout/base.html" %}

{% block content %}
 <div id="watch-later-list" class="table table-responsive">
    <table class="table table-hover" id="myTable" style="width: none;">
        <thead>
        <th>Judul</th>
        <th>Tahun</th>
        <th>Poster</th>
        <th>Detail</th>
        {% if author %}
        <th>Watched</th>
        {% endif %}
        </thead>
        <tbody>
        	{% for movie in watch_later_movies %}
        	<tr>
		    	<td>{{ movie.title }}</td>
		    	<td>{{ movie.year }}</td>
		    	<td><img src="{{ movie.poster }}" style="height: 50%;"></td>
		    	<td>{{ movie.plot }}</td>
		    	{% if author %}
		    		<td><a href="{% url 'lab-10:mark_movie_as_watched' id=movie.id %}" + >{{ is_watched|get_item:movie.id }}<td>
		    	{% else %}
		    		<td>False<td>
		    	{% endif %}
		    <tr>
		    {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}

{% block script %}
<script type="text/javascript">
	$(document).ready(function() {
	    $('#watch-later-list').DataTable();
	} );
</script>
{% endblock %}
